JdmkAgent (Mule ESB 2.2.1 API)
Keywords: org.mule.module.management.agent.JdmkAgent class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.management.agent
Class JdmkAgent

    java.lang.Object
      org.mule.AbstractAgent
          org.mule.module.management.agent.JdmkAgent

All Implemented Interfaces:
  Agent, MuleContextAware, Disposable, Initialisable, Lifecycle, Startable, Stoppable, NamedObject

    public class JdmkAgent

extends AbstractAgent

`JdmkAgent` configures an Jdmk Http Adaptor for Jmx management, statistics and configuration viewing of a Mule instance.

TODO MULE-1353

Field Summary
`static String` | `CLASSNAME_ADAPTER` A FQN of the adaptor class to instantiate via reflection.
`static String` | `DEFAULT_HOSTNAME`
`static String` | `DEFAULT_JMX_ADAPTOR_URL`
`static int` | `DEFAULT_PORT`

Fields inherited from class org.mule.AbstractAgent
`muleContext, name`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`JdmkAgent()`

Method Summary
`protected Object` | `createAdaptor()`
`void` | `dispose()` A lifecycle method where implementor should free up any resources.
`String` | `getDescription()` Should be a 1 line description of the agent
`String` | `getHost()`
`String` | `getJmxAdaptorUrl()`
`String` | `getPort()`
`void` | `initialise()` Method used to perform any initialisation work.
`void` | `registered()`
`void` | `setHost(String host)`
`void` | `setJmxAdaptorUrl(String jmxAdaptorUrl)`
`void` | `setPort(String port)`
`void` | `start()`
`void` | `stop()`
`void` | `unregistered()`

Methods inherited from class org.mule.AbstractAgent
`getDependentAgents, getName, setMuleContext, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASSNAME_ADAPTER

    public static final String CLASSNAME_ADAPTER

  A FQN of the adaptor class to instantiate via reflection.

  See Also:
    Constant Field Values

### DEFAULT_HOSTNAME

    public static final String DEFAULT_HOSTNAME

See Also:
  Constant Field Values

### DEFAULT_PORT

    public static final int DEFAULT_PORT

See Also:
  Constant Field Values

### DEFAULT_JMX_ADAPTOR_URL

    public static final String DEFAULT_JMX_ADAPTOR_URL

See Also:
  Constant Field Values

Constructor Detail

### JdmkAgent

    public JdmkAgent()

Method Detail

### createAdaptor

    protected Object createAdaptor()
                            throws Exception

  Throws:
    `Exception`

### getDescription

    public String getDescription()

  Description copied from interface: `Agent`
  Should be a 1 line description of the agent

  Specified by:
    `getDescription` in interface `Agent`
  Overrides:
    `getDescription` in class `AbstractAgent`
  Returns:

### start

    public void start()
               throws MuleException

  Throws:
    `MuleException`

### stop

    public void stop()
              throws MuleException

  Throws:
    `MuleException`

### dispose

    public void dispose()

  Description copied from interface: `Disposable`
  A lifecycle method where implementor should free up any resources. If an exception is thrown it should just be logged and processing should continue. This method should not throw Runtime exceptions.

### registered

    public void registered()

### unregistered

    public void unregistered()

### initialise

    public void initialise()
                    throws InitialisationException

  Description copied from interface: `Initialisable`
  Method used to perform any initialisation work. If a fatal error occurs during initialisation an `InitialisationException` should be thrown, causing the Mule instance to shutdown. If the error is recoverable, say by retrying to connect, a `RecoverableException` should be thrown. There is no guarantee that by throwing a Recoverable exception that the Mule instance will not shut down.

  Specified by:
    `initialise` in interface `Initialisable`
  Specified by:
    `initialise` in class `AbstractAgent`
  Throws:
    `InitialisationException` - if a fatal error occurs causing the Mule instance to shutdown
    `RecoverableException` - if an error occurs that can be recovered from

### getJmxAdaptorUrl

    public String getJmxAdaptorUrl()

  Returns:
    Returns the jmxAdaptorUrl.

### setJmxAdaptorUrl

    public void setJmxAdaptorUrl(String jmxAdaptorUrl)

  Parameters:
    `jmxAdaptorUrl` - The jmxAdaptorUrl to set.

### getHost

    public String getHost()

### setHost

    public void setHost(String host)

### getPort

    public String getPort()

### setPort

    public void setPort(String port)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.